<template>
  <div>
    <v-container>
      <p class="display-2 font-weight-light	text-center pa-3">Восстановление пароля</p>
      <p class="text-center">Введите почту, указанную при регистрации</p>
      <v-form
        @submit.prevent="changePasswordHandler"
        ref="form"
        v-model="valid"
        lazy-validation
      >
        <v-text-field
          v-model="email"
          :rules="emailRules"
          label="Email"
          required
        />
        <v-btn
          :disabled="!valid"
          :type="'submit'"
          color="blue"
          class="mr-4"
          @click="check"
        >
          Продолжить
        </v-btn>
        <!-- <v-snackbar
          v-model="snackbar"
          timeout="3000"
          content-class="text-center"
        >
          {{ text }}
        </v-snackbar> -->
      </v-form>
    </v-container>
  </div>
</template>

<script>
export default {
  name: 'change_password',
  data: () => ({
    email: '',
    emailRules: [
      v => !!v || 'E-mail is required',
      v => /.+@.+\..+/.test(v) || 'E-mail must be valid',
    ]
  }),
  created() {
    this.$setTitle('Сменить пароль')
  },
  methods: {
    changePasswordHandler() {
      let email = this.email
      this.$store.dispatch('changePassword', {email})
        .then(() => this.$router.push('/check_mail'))
        .catch(err => console.log(err))
    }
  }
}
</script>
